class Pipe
{
    public:

	void	SetName( const char *pipename );

	char	*GetName();
	int	GetIfd();

	bool	Init( const char *pipename, Error *e );

	bool	Open( Error *e );
	bool	Write( const void *buf, size_t count, Error *e );
	bool	Close( Error *e );

    private:

	StrBuf name;
	int ifd;
	int ofd;
};
