#include <stdhdrs.h>
#include <strbuf.h>
#include <error.h>

#include "err.h"

bool syserr( const char *op, const char *arg, Error *e )
{
	e->Sys( op, arg );

	return false;
}

int printerr( Error *e )
{
	StrBuf msg;

	e->Fmt( &msg );

	fprintf( stderr, "%s", msg.Text() );

	return -1;
}
